Re: [scilab-Users] Matlab to Scilab conversion

classic Classic list List threaded Threaded
1 message Options
dmcomer dmcomer
Reply | Threaded
Open this post in threaded view
|

Re: [scilab-Users] Matlab to Scilab conversion

Lester,
 
I can't speak for Vista (I unintalled Vista a year ago due to distain for the OS). However, under XP, here's what I did (I'm using Scilab 5.1.1 but any 5.x should work:
 
1) Under C:\Program Files\scilab-5.1.1\contrib I extracted the contents of the plotlib zip file and renamed the extracted folder to
    "plotlib021". Note that if you use the Windows extractor, you end up with an intermediate folder and may need to move the contents "up"
    one folder so you have, under "plotlib021", folders "help", "jar", "macros", "man" and a few files to go with the rest.
 
2) In the path C:\Documents and Settings\<userid>\Application Data\Scilab\scilab-5.1.1 where "<userid>" is your Windows XP id, I have created
    the Scilab startup file .scilab. The Scilab documentation is somewhat confusing about the proper startup file naming convention for
    Windows under Scilab 5.x (I think this is the 4.x convention that was kept in the 5.x version and the developers are moving to an XML
    based startup file; perhaps the documentation hasn't quite caught up or I missed that discussion. That said, ".scilab" worked for me.
    Note also that you cannot simply use Windows file manager to create this file. File manager does not allow you to create file with and
    extention only. I had to use a DOS shell.
 
3) Inside the file .scilab I place the following:
 
    exec "C:\Program Files\scilab-5.1.1\contrib\plotlib021\loader.sce"
Before you can use plotlib, you have to execute the file  C:\Program Files\scilab-5.1.1\contrib\plotlib021\builder.sce as described in the
plotlib documentation. 
 
Once I did the above, everytime I start Scilab, I get the message: "loading plotlib version 0.21" and I'm good to go.
 
I hope this helps,
 
Dave